Skip to content
Start here

Delete a zone snippet

snippets.delete(strsnippet_name, SnippetDeleteParams**kwargs) -> object
DELETE/zones/{zone_id}/snippets/{snippet_name}

Deletes a snippet belonging to the zone.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Snippets Write
ParametersExpand Collapse
zone_id: str

Use this field to specify the unique ID of the zone.

snippet_name: str

Identify the snippet.

ReturnsExpand Collapse
object

Delete a zone snippet

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
snippet = client.snippets.delete(
    snippet_name="my_snippet",
    zone_id="9f1839b6152d298aca64c4e906b6d074",
)
print(snippet)
{
  "errors": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "messages": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "result": {},
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "messages": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "result": {},
  "success": true
}